# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2005 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***
#!/bin/sh -xv

if [ -d "$WL_HOME" ]
then

SAVE_CP=$CLASSPATH
export SAVE_CP

ENABLE_TYPE=$1
URL=$2
USRID=$3
PASSWD=$4
KD4_DIR=$5

NEW_CP="$KD4_DIR/KD4/lib/kd4dcagent.jar:$KD4_DIR/KD4/lib/jdom.jar:$KD4_DIR/KD4/lib/crystal.bea.install.jar:$CLASSPATH" 
CLASSPATH=$NEW_CP
export CLASSPATH
echo $CLASSPATH
java com.ibm.management.soa.agent.bea.install.WSDMAgentService $ENABLE_TYPE $URL $USRID $PASSWD $KD4_DIR
RC=$?
CLASSPATH=$SAVE_CP
export CLASSPATH
exit $RC

else
echo "Please set The BEA Server Environment before running the master KD4configDC script."
echo "Run DOMAIN_HOME/setDomainEnv.sh"
exit 156
fi
