#!/bin/sh
# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***


RC=0
if [ -d "$INSTALLDIR" ]
then
        KD4INSDIR=$INSTALLDIR
else
        KD4INSDIR="../../"
fi

if [ -f "$KD4INSDIR/KD4/ibmjava142/jre/bin/java" ] ; then
   JAVA_HOME=$KD4INSDIR/KD4/ibmjava142/jre
else
   JAVA_HOME=$KD4INSDIR/KD4/ibmjava142
fi
if [ "$4" = "" ]
then

	$JAVA_HOME/bin/java -cp $CLASSPATH:$KD4INSDIR/KD4/lib/kd4dcagent.jar -Xmx256M com.ibm.management.soa.agent.sap.install.DeployTool $1 $2 "$3"
	RC=$?
else
	$JAVA_HOME/bin/java -cp $CLASSPATH:$KD4INSDIR/KD4/lib/kd4dcagent.jar -Xmx256M com.ibm.management.soa.agent.sap.install.DeployTool $1 $2 $3 "$4"
	RC=$?
fi

if [ -f $KD4INSDIR/KD4/bin/addlink.sh ]
then
	chmod 777 $KD4INSDIR/KD4/bin/addlink.sh
        $KD4INSDIR/KD4/bin/addlink.sh
	SUBRC=$?
        rm $KD4INSDIR/KD4/bin/addlink.sh
	if [ "$SUBRC" != "0" ]
	then
		RC=208
	fi
fi


if [ "$RC" = "0" ]
then
	echo "SAP DC Installer Application Successfully Completed."
	exit 0
else
	echo "SAP DC Installer Application Failed With RC = $RC."
	exit $RC
fi
