# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***
#!/bin/sh 

JARFILE=kd4scaagent.jar
                     
IN_OR_OUT=$1

if [ ! "$2" ] 
then
   exit 100
fi

 
if [ ! "$2" = "USE_ENV_VAR" ]
then
  KD4_WAS_HOME=$2
else
  KD4_WAS_HOME=$WAS_HOME  
fi


if [ -d "$KD4_WAS_HOME/lib/ext" ]
then
   if [ "$IN_OR_OUT" = "-enable" ]
   then
      cp -f $INSTALLDIR/KD4/lib/$JARFILE $KD4_WAS_HOME/lib/ext
      CP_RC=$?
      if [ "$CP_RC" = "0" ]
      then
         exit 0
      else
         # 121 = unable to copy
         exit 121
      fi
   fi
   
   if [ "$IN_OR_OUT" = "-disable" ]
   then
     rm -f $KD4_WAS_HOME/lib/ext/$JARFILE
     RM_RC=$?
     if [ "$RM_RC" = "0" ]
     then 
        exit 0
     else
        # 124 = unable to delete
        exit 124
     fi
   fi
else
   # 120=bad WAS home
   exit 120
fi
